#include <iostream>

void complex_method() {
  int i = 0x12323333- 1230*123213;
  long x = -23;
  std::cout << "x: " << x << '\n';
  while (--i) {
    x ^= (x - 1);
    for (int j = 0; j < 50; ++j) {
      x = x * x * x;
    }
  }
}

int main() {
    complex_method();

    return 0;
}
